Open Bug 1483696 Opened Last year Updated 2 days ago

Intermittent TEST-UNEXPECTED-TIMEOUT | /html/browsers/windows/auxiliary-browsing-contexts/opener-setter.html | Auxiliary browsing context created via `window.open` and setting `window.opener` to `null` should report `window.opener` `null` - Test timed out

Categories

(Core :: DOM: Core & HTML, defect, P2)

defect

Tracking

()

mozilla64

People

(Reporter: intermittent-bug-filer, Assigned: jdai)

Details

(Keywords: intermittent-failure, leave-open, Whiteboard: [wptsync upstream error][stockwell disabled])

Attachments

(4 files, 2 obsolete files)

Filed by: ncsoregi [at] mozilla.com

https://treeherder.mozilla.org/logviewer.html#?job_id=194163575&repo=mozilla-inbound

https://queue.taskcluster.net/v1/task/VIYelIf7Qye54O5ybAT8mw/runs/0/artifacts/public/logs/live_backing.log

[task 2018-08-15T21:08:58.400Z] 21:08:58     INFO - TEST-START | /hr-time/idlharness.https.any.serviceworker.html
[task 2018-08-15T21:08:58.400Z] 21:08:58     INFO - Clearing pref privacy.reduceTimerPrecision
[task 2018-08-15T21:08:58.448Z] 21:08:58     INFO - Setting pref privacy.reduceTimerPrecision (false)
[task 2018-08-15T21:08:58.699Z] 21:08:58     INFO - PID 2934 | ++DOMWINDOW == 31 (0xdf7e9800) [pid = 2934] [serial = 41] [outer = 0xe56a5040]
[task 2018-08-15T21:08:59.172Z] 21:08:59     INFO - PID 2934 | ++DOCSHELL 0xdf7e3400 == 13 [pid = 2934] [id = {542bd532-b133-41ec-9b87-a3bb45e0e73c}]
[task 2018-08-15T21:08:59.172Z] 21:08:59     INFO - PID 2934 | ++DOMWINDOW == 32 (0xe08f1dc0) [pid = 2934] [serial = 42] [outer = (nil)]
[task 2018-08-15T21:08:59.188Z] 21:08:59     INFO - PID 2934 | ++DOMWINDOW == 33 (0xdf7e8400) [pid = 2934] [serial = 43] [outer = 0xe08f1dc0]
[task 2018-08-15T21:08:59.330Z] 21:08:59     INFO - PID 2934 | ++DOMWINDOW == 34 (0xe01ae000) [pid = 2934] [serial = 44] [outer = 0xe08f1dc0]
[task 2018-08-15T21:08:59.985Z] 21:08:59     INFO - PID 2934 | --DOMWINDOW == 33 (0xe4529800) [pid = 2934] [serial = 16] [outer = (nil)] [url = about:blank]
[task 2018-08-15T21:08:59.985Z] 21:08:59     INFO - PID 2934 | --DOMWINDOW == 32 (0xdf7e2400) [pid = 2934] [serial = 33] [outer = (nil)] [url = about:blank]
[task 2018-08-15T21:09:00.002Z] 21:09:00  WARNING - Traceback (most recent call last):
[task 2018-08-15T21:09:00.002Z] 21:09:00  WARNING -   File "/builds/worker/workspace/build/venv/lib/python2.7/site-packages/wptserve/handlers.py", line 264, in __call__
[task 2018-08-15T21:09:00.002Z] 21:09:00  WARNING -     rv = self.func(request, response)
[task 2018-08-15T21:09:00.002Z] 21:09:00  WARNING -   File "/builds/worker/workspace/build/tests/web-platform/tests/tools/serve/serve.py", line 62, in handle_request
[task 2018-08-15T21:09:00.003Z] 21:09:00  WARNING -     self.check_exposure(request)
[task 2018-08-15T21:09:00.003Z] 21:09:00  WARNING -   File "/builds/worker/workspace/build/tests/web-platform/tests/tools/serve/serve.py", line 163, in check_exposure
[task 2018-08-15T21:09:00.003Z] 21:09:00  WARNING -     for (key, value) in self._get_metadata(request):
[task 2018-08-15T21:09:00.004Z] 21:09:00  WARNING -   File "/builds/worker/workspace/build/tests/web-platform/tests/tools/serve/serve.py", line 104, in _get_metadata
[task 2018-08-15T21:09:00.004Z] 21:09:00  WARNING -     with open(path, "rb") as f:
[task 2018-08-15T21:09:00.004Z] 21:09:00  WARNING - IOError: [Errno 2] No such file or directory: '/builds/worker/workspace/build/tests/web-platform/tests/hr-time/idlharness.https.any.js'
[task 2018-08-15T21:09:00.004Z] 21:09:00  WARNING - 
[task 2018-08-15T21:09:00.047Z] 21:09:00     INFO - PID 2934 | ++DOMWINDOW == 33 (0xdfce8000) [pid = 2934] [serial = 45] [outer = 0xe08f1dc0]
[task 2018-08-15T21:09:00.111Z] 21:09:00     INFO - PID 2934 | [2934, Main Thread] WARNING: Failed to retarget HTML data delivery to the parser thread.: file /builds/worker/workspace/build/src/parser/html/nsHtml5StreamParser.cpp, line 1015
This bug has failed 34 times in the last 7 days. Failures occur on windows and linux platforms on debug build type.

log:
https://treeherder.mozilla.org/logviewer.html#?job_id=196396865&repo=mozilla-central&lineNumber=6779
  INFO - TEST-OK | /html/browsers/windows/auxiliary-browsing-contexts/opener-noreferrer.html | took 2392ms
10:04:23     INFO - TEST-START | /html/browsers/windows/auxiliary-browsing-contexts/opener-setter.html
10:04:23     INFO - PID 6464 | ++DOCSHELL 0000022892814000 == 11 [pid = 5340] [id = {d4ad228f-ea02-4d00-861b-d54d701b2a34}]
10:04:23     INFO - PID 6464 | ++DOMWINDOW == 26 (0000022891CCC200) [pid = 5340] [serial = 32] [outer = 0000000000000000]
10:04:23     INFO - PID 6464 | ++DOMWINDOW == 27 (00000228917A9400) [pid = 5340] [serial = 33] [outer = 0000022891CCC200]
10:04:24     INFO - PID 6464 | ++DOMWINDOW == 28 (0000022892D78400) [pid = 5340] [serial = 34] [outer = 0000022891CCC200]
10:04:24     INFO - PID 6464 | ++DOCSHELL 0000022892B15800 == 12 [pid = 5340] [id = {b353d703-e48f-428b-a78b-73c7944132fe}]
10:04:24     INFO - PID 6464 | ++DOMWINDOW == 29 (0000022891CD2E00) [pid = 5340] [serial = 35] [outer = 0000000000000000]
10:04:24     INFO - PID 6464 | ++DOMWINDOW == 30 (000002289320B000) [pid = 5340] [serial = 36] [outer = 0000022891CD2E00]
10:04:25     INFO - PID 6464 | ++DOMWINDOW == 31 (0000022893217000) [pid = 5340] [serial = 37] [outer = 0000022891CD2E00]
10:04:25     INFO - PID 6464 | ++DOCSHELL 0000022892B19800 == 13 [pid = 5340] [id = {ff8635b4-a7b5-451e-9732-2fcb5477fe31}]
10:04:25     INFO - PID 6464 | ++DOMWINDOW == 32 (0000022891CD1600) [pid = 5340] [serial = 38] [outer = 0000000000000000]
10:04:25     INFO - PID 6464 | --DOMWINDOW == 31 (0000022893268200) [pid = 5340] [serial = 14] [outer = 0000000000000000] [url = http://web-platform.test:8000/html/browsers/windows/auxiliary-browsing-contexts/resources/close-opener.html?prefixedLocalStorage=/html/browsers/windows/auxiliary-browsing-contexts/opener-closed.html-0.5648978426554208-1535537052092-]
10:04:25     INFO - PID 6464 | --DOMWINDOW == 30 (0000022891CCE000) [pid = 5340] [serial = 11] [outer = 0000000000000000] [url = http://web-platform.test:8000/html/browsers/windows/auxiliary-browsing-contexts/resources/open-closer.html?prefixedLocalStorage=/html/browsers/windows/auxiliary-browsing-contexts/opener-closed.html-0.5648978426554208-1535537052092-]
10:04:25     INFO - PID 6464 | --DOMWINDOW == 29 (000002288B726800) [pid = 5340] [serial = 5] [outer = 0000000000000000] [url = http://web-platform.test:8000/html/browsers/windows/auxiliary-browsing-contexts/opener-closed.html]
10:04:25     INFO - PID 6464 | --DOCSHELL 0000022892B0C800 == 12 [pid = 5340] [id = {1eb7e3a4-f46a-4677-bebb-24e26357fbb1}]
10:04:25     INFO - PID 6464 | --DOCSHELL 0000022892812000 == 11 [pid = 5340] [id = {d1be7440-4926-42da-a439-06cca12e5cb8}]
10:04:25     INFO - PID 6464 | --DOMWINDOW == 28 (0000022891CD1C00) [pid = 5340] [serial = 23] [outer = 0000000000000000] [url = http://web-platform.test:8000/html/browsers/windows/auxiliary-browsing-contexts/resources/message-window-opener.html?prefixedLocalStorage=/html/browsers/windows/auxiliary-browsing-contexts/opener-multiple.html-0.6599694534989812-1535537055887-]
10:04:25     INFO - PID 6464 | --DOMWINDOW == 27 (0000022891C05E00) [pid = 5340] [serial = 20] [outer = 0000000000000000] [url = http://web-platform.test:8000/html/browsers/windows/auxiliary-browsing-contexts/resources/multiple-opener.html?prefixedLocalStorage=/html/browsers/windows/auxiliary-browsing-contexts/opener-multiple.html-0.6599694534989812-1535537055887-]
10:04:25     INFO - PID 6464 | --DOCSHELL 000002289280F000 == 10 [pid = 5340] [id = {255a57aa-0f0e-4724-8111-f8de6c6090ee}]
10:04:25     INFO - PID 6464 | --DOCSHELL 0000022893295800 == 9 [pid = 5340] [id = {f115fcb9-619c-46bd-9ad8-0643c1301f2b}]
10:04:25     INFO - PID 6464 | --DOMWINDOW == 26 (0000022891CCCC00) [pid = 5340] [serial = 17] [outer = 0000000000000000] [url = http://web-platform.test:8000/html/browsers/windows/auxiliary-browsing-contexts/opener-multiple.html]
10:04:25     INFO - PID 6464 | --DOCSHELL 00000228917CB000 == 8 [pid = 5340] [id = {db9f5b5b-ff44-47f3-8ed1-b6cd30d01d5a}]
10:04:25     INFO - PID 6464 | --DOCSHELL 0000022892808800 == 7 [pid = 5340] [id = {d85edf55-657a-4dde-86b2-ba447a10a9e8}]
10:04:25     INFO - PID 6464 | --DOCSHELL 0000022892B21000 == 6 [pid = 5340] [id = {7ba5085b-9f59-48bc-8eb5-e7eb70a62c77}]
10:04:25     INFO - PID 6464 | ++DOMWINDOW == 27 (000002288F6B1800) [pid = 5340] [serial = 39] [outer = 0000022891CD1600]
10:04:25     INFO - PID 6464 | ++DOMWINDOW == 28 (0000022891C9C800) [pid = 5340] [serial = 40] [outer = 0000022891CD1600]
10:04:27     INFO - PID 6464 | --DOMWINDOW == 17 (000001E30724B400) [pid = 6464] [serial = 10] [outer = 0000000000000000] [url = about:blank]
10:04:27     INFO - PID 6464 | --DOMWINDOW == 16 (000001E308D40C00) [pid = 6464] [serial = 16] [outer = 0000000000000000] [url = about:blank]
10:04:27     INFO - PID 6464 | --DOMWINDOW == 15 (000001E308D41800) [pid = 6464] [serial = 17] [outer = 0000000000000000] [url = about:blank]
10:04:27     INFO - PID 6464 | --DOMWINDOW == 14 (000001E37EEC1400) [pid = 6464] [serial = 4] [outer = 0000000000000000] [url = about:blank]
10:04:28     INFO - PID 6464 | --DOMWINDOW == 13 (000001E308324800) [pid = 6464] [serial = 12] [outer = 0000000000000000] [url = about:blank]
10:04:31     INFO - PID 6464 | --DOCSHELL 000001B1BB96D800 == 0 [pid = 6996] [id = {21ef582d-f047-4d03-9534-e930202d23fc}]
10:04:34     INFO - PID 6464 | --DOMWINDOW == 12 (000001E37EEC5C00) [pid = 6464] [serial = 13] [outer = 0000000000000000] [url = about:blank]
10:04:38     INFO - PID 6464 | --DOMWINDOW == 2 (000001B1BF7A5C00) [pid = 6996] [serial = 2] [outer = 0000000000000000] [url = about:blank]
10:04:38     INFO - PID 6464 | --DOMWINDOW == 27 (0000022891CA0000) [pid = 5340] [serial = 27] [outer = 0000000000000000] [url = about:blank]
10:04:38     INFO - PID 6464 | --DOMWINDOW == 26 (00000228928D9800) [pid = 5340] [serial = 24] [outer = 0000000000000000] [url = about:blank]
10:04:38     INFO - PID 6464 | --DOMWINDOW == 25 (0000022893213400) [pid = 5340] [serial = 25] [outer = 0000000000000000] [url = about:blank]
10:04:38     INFO - PID 6464 | --DOMWINDOW == 24 (00000228928D7C00) [pid = 5340] [serial = 21] [outer = 0000000000000000] [url = about:blank]
10:04:38     INFO - PID 6464 | --DOMWINDOW == 23 (0000022892D7E400) [pid = 5340] [serial = 22] [outer = 0000000000000000] [url = about:blank]
10:04:38     INFO - PID 6464 | --DOMWINDOW == 22 (000002289320F400) [pid = 5340] [serial = 30] [outer = 0000000000000000] [url = about:blank]
10:04:38     INFO - PID 6464 | --DOMWINDOW == 21 (0000022891C9D000) [pid = 5340] [serial = 18] [outer = 0000000000000000] [url = about:blank]
10:04:38     INFO - PID 6464 | --DOMWINDOW == 20 (0000022891CA4C00) [pid = 5340] [serial = 19] [outer = 0000000000000000] [url = about:blank]
10:04:38     INFO - PID 6464 | --DOMWINDOW == 19 (0000022893218C00) [pid = 5340] [serial = 16] [outer = 0000000000000000] [url = about:blank]
10:04:38     INFO - PID 6464 | --DOMWINDOW == 18 (000002289320B800) [pid = 5340] [serial = 13] [outer = 0000000000000000] [url = about:blank]
10:04:38     INFO - PID 6464 | --DOMWINDOW == 17 (0000022891C9F800) [pid = 5340] [serial = 7] [outer = 0000000000000000] [url = about:blank]
10:04:38     INFO - PID 6464 | --DOMWINDOW == 1 (000001B1BB928800) [pid = 6996] [serial = 1] [outer = 0000000000000000] [url = http://web-platform.test:8000/html/browsers/windows/auxiliary-browsing-contexts/resources/no-opener.html?prefixedLocalStorage=/html/browsers/windows/auxiliary-browsing-contexts/opener-noreferrer.html-0.5079172539635879-1535537062093-]
10:04:38     INFO - PID 6464 | --DOMWINDOW == 16 (0000022891C06000) [pid = 5340] [serial = 29] [outer = 0000000000000000] [url = http://web-platform.test:8000/html/browsers/windows/auxiliary-browsing-contexts/opener-noreferrer.html]
10:04:38     INFO - PID 6464 | --DOMWINDOW == 15 (000002288B72D400) [pid = 5340] [serial = 26] [outer = 0000000000000000] [url = http://web-platform.test:8000/html/browsers/windows/auxiliary-browsing-contexts/opener-noopener.html]
10:04:38     INFO - PID 6464 | --DOMWINDOW == 14 (0000022891CD1600) [pid = 5340] [serial = 38] [outer = 0000000000000000] [url = http://web-platform.test:8000/html/browsers/windows/auxiliary-browsing-contexts/resources/opener-setter.html?prefixedLocalStorage=/html/browsers/windows/auxiliary-browsing-contexts/opener-setter.html-0.1898579545675264-1535537064840-]
10:04:38     INFO - PID 6464 | --DOMWINDOW == 13 (0000022891CD2E00) [pid = 5340] [serial = 35] [outer = 0000000000000000] [url = http://web-platform.test:8000/html/browsers/windows/auxiliary-browsing-contexts/resources/opener-setter.html?prefixedLocalStorage=/html/browsers/windows/auxiliary-browsing-contexts/opener-setter.html-0.1898579545675264-1535537064840-]
10:04:38     INFO - PID 6464 | --DOCSHELL 0000022892B19800 == 5 [pid = 5340] [id = {ff8635b4-a7b5-451e-9732-2fcb5477fe31}]
10:04:38     INFO - PID 6464 | --DOCSHELL 0000022892B13000 == 4 [pid = 5340] [id = {f4639513-c0ac-451c-956a-aa522d97df7a}]
10:04:38     INFO - PID 6464 | --DOCSHELL 0000022892B15800 == 3 [pid = 5340] [id = {b353d703-e48f-428b-a78b-73c7944132fe}]
10:04:42     INFO - PID 6464 | --DOMWINDOW == 0 (000001B1C1893400) [pid = 6996] [serial = 3] [outer = 0000000000000000] [url = http://web-platform.test:8000/html/browsers/windows/auxiliary-browsing-contexts/resources/no-opener.html?prefixedLocalStorage=/html/browsers/windows/auxiliary-browsing-contexts/opener-noreferrer.html-0.5079172539635879-1535537062093-]
10:04:42     INFO - PID 6464 | --DOMWINDOW == 12 (000002289320B000) [pid = 5340] [serial = 36] [outer = 0000000000000000] [url = about:blank]
10:04:42     INFO - PID 6464 | --DOMWINDOW == 11 (0000022891C9C800) [pid = 5340] [serial = 40] [outer = 0000000000000000] [url = about:blank]
10:04:42     INFO - PID 6464 | --DOMWINDOW == 10 (000002288F6B1800) [pid = 5340] [serial = 39] [outer = 0000000000000000] [url = about:blank]
10:04:42     INFO - PID 6464 | --DOMWINDOW == 9 (0000022893217000) [pid = 5340] [serial = 37] [outer = 0000000000000000] [url = about:blank]
10:04:42     INFO - PID 6464 | --DOMWINDOW == 8 (0000022893212400) [pid = 5340] [serial = 28] [outer = 0000000000000000] [url = about:blank]
10:04:42     INFO - PID 6464 | --DOMWINDOW == 7 (0000022895C27800) [pid = 5340] [serial = 31] [outer = 0000000000000000] [url = about:blank]
10:04:42     INFO - PID 6464 | --DOMWINDOW == 6 (00000228917A9400) [pid = 5340] [serial = 33] [outer = 0000000000000000] [url = about:blank]
10:05:04     INFO - 
10:05:04     INFO - TEST-UNEXPECTED-TIMEOUT | /html/browsers/windows/auxiliary-browsing-contexts/opener-setter.html | Auxiliary browsing context created via `window.open` and setting `window.opener` to `null` should report `window.opener` `null` - Test timed out
10:05:04     INFO - TEST-UNEXPECTED-TIMEOUT | /html/browsers/windows/auxiliary-browsing-contexts/opener-setter.html | expected OK
10:05:04     INFO - TEST-INFO took 41127ms
10:05:04     INFO - PID 6464 | 1535537104836	Marionette	INFO	Stopped listening on port 2828
10:05:04     INFO - PID 6464 | JavaScript error: resource://activity-stream/lib/TopSitesFeed.jsm, line 86: TypeError: setting getter-only property "_currentSearchHostname"
10:05:05     INFO - PID 6464 | [Parent 6464, Gecko_IOThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 346
10:05:05     INFO - PID 6464 | [Child 7728, Chrome_ChildThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 346
10:05:05     INFO - PID 6464 | [Child 7728, Chrome_ChildThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 346
10:05:05     INFO - PID 6464 | [Parent 6464, Gecko_IOThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 346
10:05:05     INFO - PID 6464 | [Parent 6464, Gecko_IOThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 346
10:05:05     INFO - PID 6464 | ###!!! [Parent][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
10:05:05     INFO - PID 6464 | [Parent 6464, Gecko_IOThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 346
10:05:05     INFO - PID 6464 | [Child 7728, Main Thread] WARNING: NS_ENSURE_TRUE(maybeContext) failed: file z:/build/build/src/xpcom/threads/nsThread.cpp, line 866
10:05:05     INFO - PID 6464 | [Parent 6464, Gecko_IOThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 346
10:05:05     INFO - PID 6464 | [Parent 6464, Gecko_IOThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 346
10:05:05     INFO - PID 6464 | [Child 5340, Chrome_ChildThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 346
10:05:05     INFO - PID 6464 | [Child 5340, Chrome_ChildThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 346
10:05:05     INFO - PID 6464 | [Parent 6464, Gecko_IOThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 346
10:05:05     INFO - PID 6464 | [Parent 6464, Gecko_IOThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 346
10:05:05     INFO - PID 6464 | [Parent 6464, Gecko_IOThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 346
10:05:05     INFO - PID 6464 | [Child 5340, Main Thread] WARNING: NS_ENSURE_TRUE(maybeContext) failed: file z:/build/build/src/xpcom/threads/nsThread.cpp, line 866
10:05:05     INFO - PID 6464 | [Parent 6464, Gecko_IOThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 346
10:05:05     INFO - PID 6464 | [Parent 6464, Gecko_IOThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 346
10:05:05     INFO - PID 6464 | --DOMWINDOW == 3 (0000026498327800) [pid = 7728] [serial = 1] [outer = 0000000000000000] [url = moz-extension://ccb6078a-f8de-4fde-a8ee-1b0c1cd999c0/_generated_background_page.html]
10:05:05     INFO - PID 6464 | [Child 7728, Main Thread] WARNING: '!mMainThread', file z:/build/build/src/xpcom/threads/nsThreadManager.cpp, line 564
10:05:05     INFO - PID 6464 | [Child 7728, Main Thread] WARNING: '!mMainThread', file z:/build/build/src/xpcom/threads/nsThreadManager.cpp, line 564
10:05:05     INFO - PID 6464 | [Child 7728, Main Thread] WARNING: '!mMainThread', file z:/build/build/src/xpcom/threads/nsThreadManager.cpp, line 564
10:05:05     INFO - PID 6464 | [Child 7728, Main Thread] WARNING: '!mMainThread', file z:/build/build/src/xpcom/threads/nsThreadManager.cpp, line 564
10:05:05     INFO - PID 6464 | [Child 7728, Main Thread] WARNING: '!mMainThread', file z:/build/build/src/xpcom/threads/nsThreadManager.cpp, line 564
10:05:05     INFO - PID 6464 | [Child 7728, Main Thread] WARNING: '!mMainThread', file z:/build/build/src/xpcom/threads/nsThreadManager.cpp, line 564
10:05:05     INFO - PID 6464 | [Child 7728, Main Thread] WARNING: '!mMainThread', file z:/build/build/src/xpcom/threads/nsThreadManager.cpp, line 564
10:05:05     INFO - PID 6464 | [Child 7728, Main Thread] WARNING: '!mMainThread', file z:/build/build/src/xpcom/threads/nsThreadManager.cpp, line 564
10:05:05     INFO - PID 6464 | [Child 7728, Main Thread] WARNING: '!mMainThread', file z:/build/build/src/xpcom/threads/nsThreadManager.cpp, line 564
10:05:05     INFO - PID 6464 | --DOMWINDOW == 2 (0000026498326A00) [pid = 7728] [serial = 4] [outer = 0000000000000000] [url = moz-extension://70ebb747-4883-4e43-8e1c-97c1e5ef6faf/_generated_background_page.html]
10:05:05     INFO - PID 6464 | [Child 7728, Main Thread] WARNING: '!mMainThread', file z:/build/build/src/xpcom/threads/nsThreadManager.cpp, line 564
10:05:05     INFO - PID 6464 | [Child 7728, Main Thread] WARNING: '!mMainThread', file z:/build/build/src/xpcom/threads/nsThreadManager.cpp, line 564
10:05:05     INFO - PID 6464 | [Child 7728, Main Thread] WARNING: '!mMainThread', file z:/build/build/src/xpcom/threads/nsThreadManager.cpp, line 564
10:05:05     INFO - PID 6464 | [Child 7728, Main Thread] WARNING: '!mMainThread', file z:/build/build/src/xpcom/threads/nsThreadManager.cpp, line 564
10:05:05     INFO - PID 6464 | [Child 7728, Main Thread] WARNING: '!mMainThread', file z:/build/build/src/xpcom/threads/nsThreadManager.cpp, line 564
10:05:05     INFO - PID 6464 | [Child 7728, Main Thread] WARNING: '!mMainThread', file z:/build/build/src/xpcom/threads/nsThreadManager.cpp, line 564
10:05:05     INFO - PID 6464 | [Child 7728, Main Thread] WARNING: '!mMainThread', file z:/build/build/src/xpcom/threads/nsThreadManager.cpp, line 564
10:05:05     INFO - PID 6464 | [Child 7728, Main Thread] WARNING: '!mMainThread', file z:/build/build/src/xpcom/threads/nsThreadManager.cpp, line 564
10:05:05     INFO - PID 6464 | [Child 7728, Main Thread] WARNING: '!mMainThread', file z:/build/build/src/xpcom/threads/nsThreadManager.cpp, line 564
10:05:05     INFO - PID 6464 | --DOCSHELL 000002649E4AA800 == 1 [pid = 7728] [id = {ab066329-8cbe-4704-8038-822788e1e6f8}]
10:05:05     INFO - PID 6464 | --DOCSHELL 000002649836D800 == 0 [pid = 7728] [id = {a623bdc0-ce22-4cd0-8fac-faeee7a99f62}]
10:05:05     INFO - PID 6464 | --DOMWINDOW == 1 (000002649E990800) [pid = 7728] [serial = 6] [outer = 0000000000000000] [url = moz-extension://70ebb747-4883-4e43-8e1c-97c1e5ef6faf/_generated_background_page.html]
10:05:05     INFO - PID 6464 | --DOMWINDOW == 0 (000002649E494800) [pid = 7728] [serial = 3] [outer = 0000000000000000] [url = moz-extension://ccb6078a-f8de-4fde-a8ee-1b0c1cd999c0/_generated_background_page.html]
10:05:05     INFO - PID 6464 | nsStringStats
10:05:05     INFO - PID 6464 |  => mAllocCount:           8757
10:05:05     INFO - PID 6464 |  => mReallocCount:            0
10:05:05     INFO - PID 6464 |  => mFreeCount:            8757
10:05:05     INFO - PID 6464 |  => mShareCount:           4663
10:05:05     INFO - PID 6464 |  => mAdoptCount:            536
10:05:05     INFO - PID 6464 |  => mAdoptFreeCount:        548
10:05:05     INFO - PID 6464 |  => Process ID: 7728, Thread ID: 6036

overholt: Can you please take a look at this bug?
Flags: needinfo?(overholt)
Whiteboard: [stockwell needswork]
Is there a chance that the work in bug 1419960 could have affected this, Nika?
Flags: needinfo?(overholt) → needinfo?(nika)
Nope, this should have no relationship to those changes - this test doesn't exercise the noopener logic at all.
Flags: needinfo?(nika)
Thanks, Nika.

James, this is a naive question, but: do we know why these would be timing out? "TEST-UNEXPECTED-TIMEOUT"
Flags: needinfo?(james)
Well all the time outs are on debug/asan, so I would be inclined to try adding
<meta name=timeout content=long>
on the line above https://searchfox.org/mozilla-central/source/testing/web-platform/tests/html/browsers/windows/auxiliary-browsing-contexts/opener-setter.html#5 and see if that fixes the problem (also requires running ./mach wpt-manifest-update so that the runner knows about the longet timeout).
Flags: needinfo?(james)
Priority: -- → P2
John, here's an easy bug you could take at some point :)
Assignee: nobody → jdai
Flags: needinfo?(jdai)
There have been 37 failures in the last week.
All the failures occur on the debug build type.
Failures per platform:
- windows10-64-ccov: 24
- linux64-ccov: 10
- linux64-qr: 2
- linux32: 1

Recent relevant log file:
https://treeherder.mozilla.org/logviewer.html#?job_id=199480366&repo=mozilla-central&lineNumber=6903

Summary: Intermittent TEST-UNEXPECTED-TIMEOUT | /html/browsers/windows/auxiliary-browsing-contexts/opener-setter.html | Auxiliary browsing context created via `window.open` and setting `window.opener` to `null` should report `window.opener` `null` - Test timed out
Comment on attachment 9012085 [details]
Bug 1483696 - Fix time out on debug/asan

James Graham [:jgraham] has approved the revision.
Attachment #9012085 - Flags: review+
Rebase from inbound.
Rebase from inbound.
Attachment #9012085 - Attachment is obsolete: true
Attachment #9012176 - Attachment is obsolete: true
Attachment #9012505 - Flags: review+
Attachment #9012176 - Attachment is obsolete: false
Created web-platform-tests PR https://github.com/web-platform-tests/wpt/pull/13455 for changes under testing/web-platform/tests
Whiteboard: [stockwell needswork:owner] → [stockwell needswork:owner][wptsync upstream]
Upstream web-platform-tests status checks passed, PR will merge once commit reaches central.
https://hg.mozilla.org/mozilla-central/rev/2b8467cf2d75
Status: NEW → RESOLVED
Closed: Last year
Resolution: --- → FIXED
Target Milestone: --- → mozilla64
This is still happening.

Recent failure: https://treeherder.mozilla.org/logviewer.html#?job_id=204984185&repo=autoland&lineNumber=15128

[task 2018-10-12T03:15:10.290Z] 03:15:10     INFO - PID 6065 | --DOMWINDOW == 20 (0xe83fe280) [pid = 6160] [serial = 39] [outer = (nil)] [url = http://web-platform.test:8000/html/browsers/windows/auxiliary-browsing-contexts/resources/opener-setter.html?prefixedLocalStorage=/html/browsers/windows/auxiliary-browsing-contexts/opener-setter.html-0.6235700068262849-1539314099160-]
[task 2018-10-12T03:15:10.290Z] 03:15:10     INFO - PID 6065 | --DOMWINDOW == 19 (0xe83fe820) [pid = 6160] [serial = 36] [outer = (nil)] [url = http://web-platform.test:8000/html/browsers/windows/auxiliary-browsing-contexts/resources/opener-setter.html?prefixedLocalStorage=/html/browsers/windows/auxiliary-browsing-contexts/opener-setter.html-0.6235700068262849-1539314099160-]
[task 2018-10-12T03:15:10.290Z] 03:15:10     INFO - PID 6065 | --DOCSHELL 0xe6418400 == 5 [pid = 6160] [id = {1be18ca2-4f48-485e-b98d-144e13951540}]
[task 2018-10-12T03:15:10.292Z] 03:15:10     INFO - PID 6065 | --DOCSHELL 0xe6416800 == 4 [pid = 6160] [id = {d867e2d7-69e3-4d41-b867-832603b11e4b}]
[task 2018-10-12T03:15:10.292Z] 03:15:10     INFO - PID 6065 | --DOCSHELL 0xe641cc00 == 3 [pid = 6160] [id = {8fb7007a-1f43-4782-bb04-86b86c4bbdba}]
[task 2018-10-12T03:15:10.389Z] 03:15:10     INFO - PID 6065 | [Parent 6065, StreamTrans #35] WARNING: 'NS_FAILED(rv)', file /builds/worker/workspace/build/src/modules/libjar/nsJARChannel.cpp, line 419
[task 2018-10-12T03:15:10.390Z] 03:15:10     INFO - PID 6065 | [Parent 6065, Main Thread] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80520012: file /builds/worker/workspace/build/src/modules/libjar/nsJARChannel.cpp, line 1127
[task 2018-10-12T03:15:12.597Z] 03:15:12     INFO - PID 6065 | --DOMWINDOW == 12 (0xe4508c00) [pid = 6065] [serial = 14] [outer = (nil)] [url = about:blank]
[task 2018-10-12T03:15:14.219Z] 03:15:14     INFO - PID 6065 | --DOMWINDOW == 18 (0xe6417400) [pid = 6160] [serial = 26] [outer = (nil)] [url = about:blank]
[task 2018-10-12T03:15:14.220Z] 03:15:14     INFO - PID 6065 | --DOMWINDOW == 17 (0xe641a400) [pid = 6160] [serial = 29] [outer = (nil)] [url = about:blank]
[task 2018-10-12T03:15:14.222Z] 03:15:14     INFO - PID 6065 | --DOMWINDOW == 16 (0xe641e800) [pid = 6160] [serial = 32] [outer = (nil)] [url = about:blank]
[task 2018-10-12T03:15:14.222Z] 03:15:14     INFO - PID 6065 | --DOMWINDOW == 15 (0xe5651400) [pid = 6160] [serial = 34] [outer = (nil)] [url = about:blank]
[task 2018-10-12T03:15:14.223Z] 03:15:14     INFO - PID 6065 | --DOMWINDOW == 14 (0xe641b800) [pid = 6160] [serial = 38] [outer = (nil)] [url = about:blank]
[task 2018-10-12T03:15:14.223Z] 03:15:14     INFO - PID 6065 | --DOMWINDOW == 13 (0xe6413000) [pid = 6160] [serial = 37] [outer = (nil)] [url = about:blank]
[task 2018-10-12T03:15:14.224Z] 03:15:14     INFO - PID 6065 | --DOMWINDOW == 12 (0xe6421000) [pid = 6160] [serial = 41] [outer = (nil)] [url = about:blank]
[task 2018-10-12T03:15:14.224Z] 03:15:14     INFO - PID 6065 | --DOMWINDOW == 11 (0xe641f000) [pid = 6160] [serial = 40] [outer = (nil)] [url = about:blank]
[task 2018-10-12T03:15:14.225Z] 03:15:14     INFO - PID 6065 | --DOMWINDOW == 10 (0xf708dc00) [pid = 6160] [serial = 23] [outer = (nil)] [url = about:blank]
[task 2018-10-12T03:15:14.225Z] 03:15:14     INFO - PID 6065 | --DOMWINDOW == 9 (0xe5654800) [pid = 6160] [serial = 20] [outer = (nil)] [url = about:blank]
[task 2018-10-12T03:15:14.225Z] 03:15:14     INFO - PID 6065 | --DOMWINDOW == 8 (0xe564f400) [pid = 6160] [serial = 17] [outer = (nil)] [url = about:blank]
[task 2018-10-12T03:15:14.226Z] 03:15:14     INFO - PID 6065 | --DOMWINDOW == 7 (0xe83d4800) [pid = 6160] [serial = 14] [outer = (nil)] [url = about:blank]
[task 2018-10-12T03:15:14.226Z] 03:15:14     INFO - PID 6065 | --DOMWINDOW == 6 (0xe87aec00) [pid = 6160] [serial = 8] [outer = (nil)] [url = about:blank]
[task 2018-10-12T03:17:59.091Z] 03:17:59     INFO - 
[task 2018-10-12T03:17:59.091Z] 03:17:59     INFO - TEST-UNEXPECTED-TIMEOUT | /html/browsers/windows/auxiliary-browsing-contexts/opener-setter.html | Auxiliary browsing context created via `window.open` and setting `window.opener` to `null` should report `window.opener` `null` - Test timed out
[task 2018-10-12T03:17:59.092Z] 03:17:59     INFO - TEST-UNEXPECTED-TIMEOUT | /html/browsers/windows/auxiliary-browsing-contexts/opener-setter.html | expected OK
[task 2018-10-12T03:17:59.092Z] 03:17:59     INFO - TEST-INFO took 180524ms
Status: RESOLVED → REOPENED
Resolution: FIXED → ---
Can't merge web-platform-tests PR due to failing upstream checks:
Github PR https://github.com/web-platform-tests/wpt/pull/13455
* Taskcluster (pull_request) (https://tools.taskcluster.net/task-group-inspector/#/B0WKGWywRkeqAwIifx_pSA)
Status: REOPENED → NEW
Whiteboard: [stockwell needswork:owner][wptsync upstream] → [stockwell needswork:owner][wptsync upstream error]
There are 28 total failures in the last 7 days, on windows10-64-ccov, linux64-qr, linux64, linux64-ccov, osx-10-10, linux32.

Recent failure log: https://treeherder.mozilla.org/logviewer.html#?job_id=204984185&repo=autoland&lineNumber=15128

[task 2018-10-12T03:14:58.565Z] 03:14:58     INFO - TEST-START | /html/browsers/windows/auxiliary-browsing-contexts/opener-setter.html

[task 2018-10-12T03:15:14.225Z] 03:15:14     INFO - PID 6065 | --DOMWINDOW == 9 (0xe5654800) [pid = 6160] [serial = 20] [outer = (nil)] [url = about:blank]
[task 2018-10-12T03:15:14.225Z] 03:15:14     INFO - PID 6065 | --DOMWINDOW == 8 (0xe564f400) [pid = 6160] [serial = 17] [outer = (nil)] [url = about:blank]
[task 2018-10-12T03:15:14.226Z] 03:15:14     INFO - PID 6065 | --DOMWINDOW == 7 (0xe83d4800) [pid = 6160] [serial = 14] [outer = (nil)] [url = about:blank]
[task 2018-10-12T03:15:14.226Z] 03:15:14     INFO - PID 6065 | --DOMWINDOW == 6 (0xe87aec00) [pid = 6160] [serial = 8] [outer = (nil)] [url = about:blank]
[task 2018-10-12T03:17:59.091Z] 03:17:59     INFO - 
[task 2018-10-12T03:17:59.091Z] 03:17:59     INFO - TEST-UNEXPECTED-TIMEOUT | /html/browsers/windows/auxiliary-browsing-contexts/opener-setter.html | Auxiliary browsing context created via `window.open` and setting `window.opener` to `null` should report `window.opener` `null` - Test timed out
[task 2018-10-12T03:17:59.092Z] 03:17:59     INFO - TEST-UNEXPECTED-TIMEOUT | /html/browsers/windows/auxiliary-browsing-contexts/opener-setter.html | expected OK
[task 2018-10-12T03:17:59.092Z] 03:17:59     INFO - TEST-INFO took 180524ms
[task 2018-10-12T03:17:59.129Z] 03:17:59     INFO - PID 6065 | 1539314279124	Marionette	INFO	Stopped listening on port 2828
[task 2018-10-12T03:17:59.379Z] 03:17:59     INFO - PID 6065 | [Child 6133, Main Thread] WARNING: NS_ENSURE_TRUE(maybeContext) failed: file /builds/worker/workspace/build/src/xpcom/threads/nsThread.cpp, line 929
[task 2018-10-12T03:17:59.387Z] 03:17:59     INFO - PID 6065 | [Child 6133, Main Thread] WARNING: '!gThread', file /builds/worker/workspace/build/src/xpcom/threads/nsTimerImpl.cpp, line 399
[task 2018-10-12T03:17:59.526Z] 03:17:59     INFO - PID 6065 | --DOCSHELL 0xe879e400 == 2 [pid = 6133] [id = {03501f1a-07b7-474b-8d1d-b18d6e70bee1}]
[task 2018-10-12T03:17:59.526Z] 03:17:59     INFO - PID 6065 | --DOCSHELL 0xf708c000 == 1 [pid = 6133] [id = {c44e1c94-283b-45f2-9041-f0732155954f}]
[task 2018-10-12T03:17:59.526Z] 03:17:59     INFO - PID 6065 | --DOMWINDOW == 5 (0xe86393a0) [pid = 6133] [serial = 1] [outer = (nil)] [url = moz-extension://ab2ed780-66d5-422c-a8f1-13d24e088834/_generated_background_page.html]

John, can you please take a look?
Flags: needinfo?(jdai)
Sure, I'll take a look.
Flags: needinfo?(jdai)
John are there any updates here? 

There are 29 total failures in the last 7 days on linux 64 and 32 debug.

Recent failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=218502869&repo=autoland&lineNumber=11938

[task 2018-12-22T09:10:50.967Z] 09:10:50     INFO - TEST-START | /html/browsers/windows/auxiliary-browsing-contexts/opener-setter.html
[task 2018-12-22T09:10:51.028Z] 09:10:51     INFO - Closing window 54
[task 2018-12-22T09:10:51.158Z] 09:10:51     INFO - PID 4584 | ++DOCSHELL 0xdb627400 == 21 [pid = 4584] [id = {3805aff4-af03-4137-85a1-2d74e3a5b358}]
[task 2018-12-22T09:10:51.158Z] 09:10:51     INFO - PID 4584 | ++DOMWINDOW == 60 (0xdb8d69c0) [pid = 4584] [serial = 60] [outer = (nil)]
[task 2018-12-22T09:10:51.160Z] 09:10:51     INFO - PID 4584 | ++DOMWINDOW == 61 (0xdbc0b800) [pid = 4584] [serial = 61] [outer = 0xdb8d69c0]
[task 2018-12-22T09:10:51.241Z] 09:10:51     INFO - PID 4584 | ++DOMWINDOW == 62 (0xdbc0e400) [pid = 4584] [serial = 62] [outer = 0xdb8d69c0]
[task 2018-12-22T09:10:51.540Z] 09:10:51     INFO - PID 4584 | ++DOCSHELL 0xdbae8400 == 22 [pid = 4584] [id = {a51f967c-11f0-477f-aa6d-9395dee8700a}]
[task 2018-12-22T09:10:51.541Z] 09:10:51     INFO - PID 4584 | ++DOMWINDOW == 63 (0xdc9f5940) [pid = 4584] [serial = 63] [outer = (nil)]
[task 2018-12-22T09:10:51.541Z] 09:10:51     INFO - PID 4584 | ++DOMWINDOW == 64 (0xdbae9800) [pid = 4584] [serial = 64] [outer = 0xdc9f5940]
[task 2018-12-22T09:10:51.622Z] 09:10:51     INFO - PID 4584 | ++DOMWINDOW == 65 (0xdbaeb400) [pid = 4584] [serial = 65] [outer = 0xdc9f5940]
[task 2018-12-22T09:10:51.650Z] 09:10:51     INFO - PID 4584 | ++DOCSHELL 0xdbaec000 == 23 [pid = 4584] [id = {889c7bbf-cc7d-4c9a-af6e-408af09a0ab7}]
[task 2018-12-22T09:10:51.651Z] 09:10:51     INFO - PID 4584 | ++DOMWINDOW == 66 (0xdc9ba380) [pid = 4584] [serial = 66] [outer = (nil)]
[task 2018-12-22T09:10:51.659Z] 09:10:51     INFO - PID 4584 | ++DOMWINDOW == 67 (0xdbaed400) [pid = 4584] [serial = 67] [outer = 0xdc9ba380]
[task 2018-12-22T09:10:51.741Z] 09:10:51     INFO - PID 4584 | ++DOMWINDOW == 68 (0xdbaee800) [pid = 4584] [serial = 68] [outer = 0xdc9ba380]
[task 2018-12-22T09:10:51.939Z] 09:10:51     INFO - PID 4584 | [4584, Main Thread] WARNING: cannot SetMetaDataElement: 'NS_SUCCEEDED(rv)', file /builds/worker/workspace/build/src/dom/html/nsHTMLDocument.cpp, line 706
[task 2018-12-22T09:10:54.687Z] 09:10:54     INFO - PID 4584 | --DOMWINDOW == 67 (0xdb8d6240) [pid = 4584] [serial = 48] [outer = (nil)] [url = http://web-platform.test:8000/html/browsers/windows/auxiliary-browsing-contexts/opener-noopener.html]

[task 2018-12-22T09:11:02.798Z] 09:11:02     INFO - PID 4584 | [4584, StreamTrans #46] WARNING: 'NS_FAILED(rv)', file /builds/worker/workspace/build/src/modules/libjar/nsJARChannel.cpp, line 372
[task 2018-12-22T09:11:02.798Z] 09:11:02     INFO - PID 4584 | [4584, Main Thread] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80520012: file /builds/worker/workspace/build/src/modules/libjar/nsJARChannel.cpp, line 1010
[task 2018-12-22T09:13:51.316Z] 09:13:51     INFO - 
[task 2018-12-22T09:13:51.316Z] 09:13:51     INFO - TEST-UNEXPECTED-TIMEOUT | /html/browsers/windows/auxiliary-browsing-contexts/opener-setter.html | Auxiliary browsing context created via `window.open` and setting `window.opener` to `null` should report `window.opener` `null` - Test timed out
[task 2018-12-22T09:13:51.318Z] 09:13:51     INFO - TEST-UNEXPECTED-TIMEOUT | /html/browsers/windows/auxiliary-browsing-contexts/opener-setter.html | expected OK
[task 2018-12-22T09:13:51.318Z] 09:13:51     INFO - TEST-INFO took 180351ms
[task 2018-12-22T09:13:51.367Z] 09:13:51     INFO - PID 4584 | 1545470031362	Marionette	INFO	Stopped listening on port 2828
[task 2018-12-22T09:13:52.195Z] 09:13:52     INFO - PID 4584 | [4584, StreamTrans #48] WARNING: 'NS_FAILED(rv)', file /builds/worker/workspace/build/src/xpcom/base/MemoryTelemetry.cpp, line 300
[task 2018-12-22T09:13:52.272Z] 09:13:52     INFO - PID 4584 | [4584, StreamTrans #49] WARNING: 'NS_FAILED(rv)', file /builds/worker/workspace/build/src/xpcom/base/MemoryTelemetry.cpp, line 300
[task 2018-12-22T09:13:52.389Z] 09:13:52     INFO - PID 4584 | [4584, Main Thread] WARNING: NS_ENSURE_TRUE(mDB) failed: file /builds/worker/workspace/build/src/netwerk/cache/nsDiskCacheDeviceSQL.cpp, line 1284
[task 2018-12-22T09:13:52.406Z] 09:13:52     INFO - PID 4584 | [4584, Main Thread] WARNING: NS_ENSURE_TRUE(maybeContext) failed: file /builds/worker/workspace/build/src/xpcom/threads/nsThread.cpp, line 870
Flags: needinfo?(jdai)
This has failed 22 times in the last 7 days, all on linux debug: https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?startday=2018-12-23&endday=2018-12-30&tree=trunk&bug=1483696

Recent failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=219282062&repo=mozilla-central&lineNumber=17333

[task 2018-12-30T10:33:51.174Z] 10:33:51     INFO - TEST-OK | /html/browsers/windows/auxiliary-browsing-contexts/opener-noreferrer.html | took 1954ms
[task 2018-12-30T10:33:51.175Z] 10:33:51     INFO - TEST-START | /html/browsers/windows/auxiliary-browsing-contexts/opener-setter.html
[task 2018-12-30T10:33:51.219Z] 10:33:51     INFO - Closing window 4294967322
[task 2018-12-30T10:33:51.227Z] 10:33:51     INFO - PID 6812 | [Child 7047, Main Thread] WARNING: '!gThread', file /builds/worker/workspace/build/src/xpcom/threads/nsTimerImpl.cpp, line 299
[task 2018-12-30T10:33:51.290Z] 10:33:51     INFO - PID 6812 | --DOCSHELL 0x7fa4870cd800 == 0 [pid = 7047] [id = {01a4a0ae-acf6-49b0-b7fa-aeb124a538cc}]
[task 2018-12-30T10:33:51.290Z] 10:33:51     INFO - PID 6812 | --DOMWINDOW == 2 (0x7fa487061400) [pid = 7047] [serial = 1] [outer = (nil)] [url = http://web-platform.test:8000/html/browsers/windows/auxiliary-browsing-contexts/resources/no-opener.html?prefixedLocalStorage=/html/browsers/windows/auxiliary-browsing-contexts/opener-noreferrer.html-0.21752141681400927-1546166030012-]
[task 2018-12-30T10:33:51.294Z] 10:33:51     INFO - PID 6812 | [Child 7047, Main Thread] WARNING: '!mMainThread', file /builds/worker/workspace/build/src/xpcom/threads/nsThreadManager.cpp, line 457
[task 2018-12-30T10:33:51.295Z] 10:33:51     INFO - PID 6812 | [Child 7047, Main Thread] WARNING: '!mMainThread', file /builds/worker/workspace/build/src/xpcom/threads/nsThreadManager.cpp, line 457
[task 2018-12-30T10:33:51.297Z] 10:33:51     INFO - PID 6812 | [Child 7047, Main Thread] WARNING: '!mMainThread', file /builds/worker/workspace/build/src/xpcom/threads/nsThreadManager.cpp, line 457
[task 2018-12-30T10:33:51.298Z] 10:33:51     INFO - PID 6812 | [Child 7047, Main Thread] WARNING: '!mMainThread', file /builds/worker/workspace/build/src/xpcom/threads/nsThreadManager.cpp, line 457
[task 2018-12-30T10:33:51.299Z] 10:33:51     INFO - PID 6812 | [Child 7047, Main Thread] WARNING: '!mMainThread', file /builds/worker/workspace/build/src/xpcom/threads/nsThreadManager.cpp, line 457
[task 2018-12-30T10:33:51.300Z] 10:33:51     INFO - PID 6812 | [Child 7047, Main Thread] WARNING: '!mMainThread', file /builds/worker/workspace/build/src/xpcom/threads/nsThreadManager.cpp, line 457
[task 2018-12-30T10:33:51.301Z] 10:33:51     INFO - PID 6812 | [Child 7047, Main Thread] WARNING: '!mMainThread', file /builds/worker/workspace/build/src/xpcom/threads/nsThreadManager.cpp, line 457
[task 2018-12-30T10:33:51.302Z] 10:33:51     INFO - PID 6812 | [Child 7047, Main Thread] WARNING: '!mMainThread', file /builds/worker/workspace/build/src/xpcom/threads/nsThreadManager.cpp, line 457
[task 2018-12-30T10:33:51.303Z] 10:33:51     INFO - PID 6812 | [Child 7047, Main Thread] WARNING: '!mMainThread', file /builds/worker/workspace/build/src/xpcom/threads/nsThreadManager.cpp, line 457
[task 2018-12-30T10:33:51.304Z] 10:33:51     INFO - PID 6812 | --DOMWINDOW == 1 (0x7fa487198400) [pid = 7047] [serial = 2] [outer = (nil)] [url = about:blank]
[task 2018-12-30T10:33:51.306Z] 10:33:51     INFO - PID 6812 | --DOMWINDOW == 0 (0x7fa4883af400) [pid = 7047] [serial = 3] [outer = (nil)] [url = http://web-platform.test:8000/html/browsers/windows/auxiliary-browsing-contexts/resources/no-opener.html?prefixedLocalStorage=/html/browsers/windows/auxiliary-browsing-contexts/opener-noreferrer.html-0.21752141681400927-1546166030012-]
[task 2018-12-30T10:33:51.323Z] 10:33:51     INFO - PID 6812 | nsStringStats
[task 2018-12-30T10:33:51.323Z] 10:33:51     INFO - PID 6812 |  => mAllocCount:           8736
[task 2018-12-30T10:33:51.323Z] 10:33:51     INFO - PID 6812 |  => mReallocCount:            0
[task 2018-12-30T10:33:51.324Z] 10:33:51     INFO - PID 6812 |  => mFreeCount:            8736
[task 2018-12-30T10:33:51.325Z] 10:33:51     INFO - PID 6812 |  => mShareCount:           5438
[task 2018-12-30T10:33:51.325Z] 10:33:51     INFO - PID 6812 |  => mAdoptCount:            391
[task 2018-12-30T10:33:51.326Z] 10:33:51     INFO - PID 6812 |  => mAdoptFreeCount:        395
[task 2018-12-30T10:33:51.326Z] 10:33:51     INFO - PID 6812 |  => Process ID: 7047, Thread ID: 140345051014976
[task 2018-12-30T10:33:51.423Z] 10:33:51     INFO - PID 6812 | ++DOCSHELL 0x7ff29260e800 == 4 [pid = 6917] [id = {2671733f-6df2-45a3-abdb-c6d9a1a929f5}]
[task 2018-12-30T10:33:51.424Z] 10:33:51     INFO - PID 6812 | ++DOMWINDOW == 23 (0x7ff29262e400) [pid = 6917] [serial = 29] [outer = (nil)]
[task 2018-12-30T10:33:51.460Z] 10:33:51     INFO - PID 6812 | ++DOMWINDOW == 24 (0x7ff29262fc00) [pid = 6917] [serial = 30] [outer = 0x7ff29262e400]
[task 2018-12-30T10:33:51.562Z] 10:33:51     INFO - PID 6812 | ++DOMWINDOW == 25 (0x7ff29262bc00) [pid = 6917] [serial = 31] [outer = 0x7ff29262e400]
[task 2018-12-30T10:33:51.942Z] 10:33:51     INFO - PID 6812 | ++DOCSHELL 0x7ff292618800 == 5 [pid = 6917] [id = {e8ac00f7-a05e-4ae6-8136-392b80fa35fb}]
[task 2018-12-30T10:33:51.943Z] 10:33:51     INFO - PID 6812 | ++DOMWINDOW == 26 (0x7ff292d0e000) [pid = 6917] [serial = 32] [outer = (nil)]
[task 2018-12-30T10:33:51.958Z] 10:33:51     INFO - PID 6812 | --DOMWINDOW == 7 (0x7f2feff62400) [pid = 6895] [serial = 4] [outer = (nil)] [url = moz-extension://85a3298b-f17b-44e4-9ad6-825432717ce1/_generated_background_page.html]
[task 2018-12-30T10:33:52.015Z] 10:33:52     INFO - PID 6812 | ++DOMWINDOW == 27 (0x7ff292d0e800) [pid = 6917] [serial = 33] [outer = 0x7ff292d0e000]
[task 2018-12-30T10:33:52.205Z] 10:33:52     INFO - PID 6812 | ++DOMWINDOW == 28 (0x7ff292d0fc00) [pid = 6917] [serial = 34] [outer = 0x7ff292d0e000]
[task 2018-12-30T10:33:52.227Z] 10:33:52     INFO - PID 6812 | ++DOCSHELL 0x7ff29261f800 == 6 [pid = 6917] [id = {052c2072-5445-4e4a-bfa7-4b6e9cacac27}]
[task 2018-12-30T10:33:52.228Z] 10:33:52     INFO - PID 6812 | ++DOMWINDOW == 29 (0x7ff292d13000) [pid = 6917] [serial = 35] [outer = (nil)]
[task 2018-12-30T10:33:52.329Z] 10:33:52     INFO - PID 6812 | ++DOMWINDOW == 30 (0x7ff292d14000) [pid = 6917] [serial = 36] [outer = 0x7ff292d13000]
[task 2018-12-30T10:33:52.492Z] 10:33:52     INFO - PID 6812 | ++DOMWINDOW == 31 (0x7ff292d15800) [pid = 6917] [serial = 37] [outer = 0x7ff292d13000]
[task 2018-12-30T10:33:52.958Z] 10:33:52     INFO - PID 6812 | --DOMWINDOW == 30 (0x7ff29262a000) [pid = 6917] [serial = 22] [outer = (nil)] [url = about:blank]
[task 2018-12-30T10:33:52.958Z] 10:33:52     INFO - PID 6812 | --DOMWINDOW == 29 (0x7ff292629000) [pid = 6917] [serial = 21] [outer = (nil)] [url = about:blank]
[task 2018-12-30T10:33:52.959Z] 10:33:52     INFO - PID 6812 | --DOMWINDOW == 28 (0x7ff292623800) [pid = 6917] [serial = 18] [outer = (nil)] [url = about:blank]
[task 2018-12-30T10:33:52.964Z] 10:33:52     INFO - PID 6812 | --DOMWINDOW == 27 (0x7ff292624800) [pid = 6917] [serial = 19] [outer = (nil)] [url = about:blank]
[task 2018-12-30T10:33:52.964Z] 10:33:52     INFO - PID 6812 | --DOMWINDOW == 26 (0x7ff292d13800) [pid = 6917] [serial = 12] [outer = (nil)] [url = about:blank]
[task 2018-12-30T10:33:52.965Z] 10:33:52     INFO - PID 6812 | --DOMWINDOW == 25 (0x7ff292d14800) [pid = 6917] [serial = 13] [outer = (nil)] [url = about:blank]
[task 2018-12-30T10:33:52.965Z] 10:33:52     INFO - PID 6812 | --DOMWINDOW == 24 (0x7ff292d0bc00) [pid = 6917] [serial = 9] [outer = (nil)] [url = about:blank]
[task 2018-12-30T10:33:52.966Z] 10:33:52     INFO - PID 6812 | --DOMWINDOW == 23 (0x7ff292d0cc00) [pid = 6917] [serial = 10] [outer = (nil)] [url = about:blank]
[task 2018-12-30T10:33:52.966Z] 10:33:52     INFO - PID 6812 | --DOMWINDOW == 22 (0x7ff292629400) [pid = 6917] [serial = 24] [outer = (nil)] [url = about:blank]
[task 2018-12-30T10:33:52.967Z] 10:33:52     INFO - PID 6812 | --DOMWINDOW == 21 (0x7ff2978f4c00) [pid = 6917] [serial = 2] [outer = (nil)] [url = about:blank]
[task 2018-12-30T10:33:52.968Z] 10:33:52     INFO - PID 6812 | --DOMWINDOW == 20 (0x7ff2966c7800) [pid = 6917] [serial = 3] [outer = (nil)] [url = about:blank]
[task 2018-12-30T10:33:52.968Z] 10:33:52     INFO - PID 6812 | --DOMWINDOW == 19 (0x7ff292d18000) [pid = 6917] [serial = 15] [outer = (nil)] [url = about:blank]
[task 2018-12-30T10:33:52.969Z] 10:33:52     INFO - PID 6812 | --DOMWINDOW == 18 (0x7ff292d19000) [pid = 6917] [serial = 16] [outer = (nil)] [url = about:blank]
[task 2018-12-30T10:33:52.969Z] 10:33:52     INFO - PID 6812 | --DOMWINDOW == 17 (0x7ff2978fb400) [pid = 6917] [serial = 7] [outer = (nil)] [url = about:blank]
[task 2018-12-30T10:33:52.969Z] 10:33:52     INFO - PID 6812 | --DOMWINDOW == 16 (0x7ff2978f9c00) [pid = 6917] [serial = 6] [outer = (nil)] [url = about:blank]
[task 2018-12-30T10:33:55.043Z] 10:33:55     INFO - PID 6812 | --DOMWINDOW == 6 (0x7f2ff114f000) [pid = 6895] [serial = 12] [outer = (nil)] [url = moz-extension://85a3298b-f17b-44e4-9ad6-825432717ce1/_generated_background_page.html]
[task 2018-12-30T10:33:55.543Z] 10:33:55     INFO - PID 6812 | --DOMWINDOW == 15 (0x7ff292627800) [pid = 6917] [serial = 23] [outer = (nil)] [url = http://web-platform.test:8000/html/browsers/windows/auxiliary-browsing-contexts/opener-noopener.html]
[task 2018-12-30T10:33:55.543Z] 10:33:55     INFO - PID 6812 | --DOCSHELL 0x7ff292604800 == 5 [pid = 6917] [id = {490061ec-2b6b-40c8-8935-f5a2a24e4217}]
[task 2018-12-30T10:33:55.544Z] 10:33:55     INFO - PID 6812 | --DOCSHELL 0x7ff292607800 == 4 [pid = 6917] [id = {2932bcf4-8612-4f7e-b824-eeaa349583f9}]
[task 2018-12-30T10:33:55.681Z] 10:33:55     INFO - PID 6812 | --DOMWINDOW == 14 (0x7ff29262b800) [pid = 6917] [serial = 25] [outer = (nil)] [url = about:blank]
[task 2018-12-30T10:33:55.681Z] 10:33:55     INFO - PID 6812 | --DOMWINDOW == 13 (0x7ff292d0e800) [pid = 6917] [serial = 33] [outer = (nil)] [url = about:blank]
[task 2018-12-30T10:33:55.681Z] 10:33:55     INFO - PID 6812 | --DOMWINDOW == 12 (0x7ff292625800) [pid = 6917] [serial = 27] [outer = (nil)] [url = about:blank]
[task 2018-12-30T10:33:55.682Z] 10:33:55     INFO - PID 6812 | --DOMWINDOW == 11 (0x7ff292d14000) [pid = 6917] [serial = 36] [outer = (nil)] [url = about:blank]
[task 2018-12-30T10:33:55.682Z] 10:33:55     INFO - PID 6812 | --DOMWINDOW == 10 (0x7ff29262fc00) [pid = 6917] [serial = 30] [outer = (nil)] [url = about:blank]
[task 2018-12-30T10:33:55.743Z] 10:33:55     INFO - PID 6812 | --DOCSHELL 0x7ff29261f800 == 3 [pid = 6917] [id = {052c2072-5445-4e4a-bfa7-4b6e9cacac27}]
[task 2018-12-30T10:33:55.745Z] 10:33:55     INFO - PID 6812 | --DOCSHELL 0x7ff292618800 == 2 [pid = 6917] [id = {e8ac00f7-a05e-4ae6-8136-392b80fa35fb}]
[task 2018-12-30T10:33:55.745Z] 10:33:55     INFO - PID 6812 | --DOMWINDOW == 9 (0x7ff292d13000) [pid = 6917] [serial = 35] [outer = (nil)] [url = http://web-platform.test:8000/html/browsers/windows/auxiliary-browsing-contexts/resources/opener-setter.html?prefixedLocalStorage=/html/browsers/windows/auxiliary-browsing-contexts/opener-setter.html-0.2590743571223406-1546166031926-]
[task 2018-12-30T10:33:55.746Z] 10:33:55     INFO - PID 6812 | --DOMWINDOW == 8 (0x7ff292624000) [pid = 6917] [serial = 26] [outer = (nil)] [url = http://web-platform.test:8000/html/browsers/windows/auxiliary-browsing-contexts/opener-noreferrer.html]
[task 2018-12-30T10:33:55.747Z] 10:33:55     INFO - PID 6812 | --DOMWINDOW == 7 (0x7ff292d0e000) [pid = 6917] [serial = 32] [outer = (nil)] [url = http://web-platform.test:8000/html/browsers/windows/auxiliary-browsing-contexts/resources/opener-setter.html?prefixedLocalStorage=/html/browsers/windows/auxiliary-browsing-contexts/opener-setter.html-0.2590743571223406-1546166031926-]
[task 2018-12-30T10:33:57.502Z] 10:33:57     INFO - PID 6812 | [Parent 6812, StreamTrans #31] WARNING: 'NS_FAILED(rv)', file /builds/worker/workspace/build/src/modules/libjar/nsJARChannel.cpp, line 372
[task 2018-12-30T10:33:57.502Z] 10:33:57     INFO - PID 6812 | [Parent 6812, Main Thread] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80520012: file /builds/worker/workspace/build/src/modules/libjar/nsJARChannel.cpp, line 1010
[task 2018-12-30T10:33:59.768Z] 10:33:59     INFO - PID 6812 | --DOMWINDOW == 6 (0x7ff292d15800) [pid = 6917] [serial = 37] [outer = (nil)] [url = about:blank]
[task 2018-12-30T10:33:59.768Z] 10:33:59     INFO - PID 6812 | --DOMWINDOW == 5 (0x7ff292d0fc00) [pid = 6917] [serial = 34] [outer = (nil)] [url = about:blank]
[task 2018-12-30T10:33:59.768Z] 10:33:59     INFO - PID 6812 | --DOMWINDOW == 4 (0x7ff292629c00) [pid = 6917] [serial = 28] [outer = (nil)] [url = about:blank]
[task 2018-12-30T10:34:00.596Z] 10:34:00     INFO - PID 6812 | --DOMWINDOW == 9 (0x7f851b49e800) [pid = 6812] [serial = 2] [outer = (nil)] [url = about:blank]
[task 2018-12-30T10:34:00.596Z] 10:34:00     INFO - PID 6812 | --DOMWINDOW == 8 (0x7f850ba0d800) [pid = 6812] [serial = 8] [outer = (nil)] [url = about:blank]
[task 2018-12-30T10:34:02.387Z] 10:34:02     INFO - PID 6812 | --DOMWINDOW == 2 (0x7f5cf3b55000) [pid = 6999] [serial = 2] [outer = (nil)] [url = about:blank]
[task 2018-12-30T10:34:21.924Z] 10:34:21     INFO - PID 6812 | [Parent 6812, Main Thread] WARNING: NS_FAILED internal_GetScalarByEnum for CHILD: file /builds/worker/workspace/build/src/toolkit/components/telemetry/core/TelemetryScalar.cpp, line 2161
[task 2018-12-30T10:34:22.348Z] 10:34:22     INFO - PID 6812 | [Parent 6812, Main Thread] WARNING: NS_FAILED internal_GetScalarByEnum for CHILD: file /builds/worker/workspace/build/src/toolkit/components/telemetry/core/TelemetryScalar.cpp, line 2161
[task 2018-12-30T10:34:29.625Z] 10:34:29     INFO - PID 6812 | [Parent 6812, Main Thread] WARNING: NS_FAILED internal_GetScalarByEnum for CHILD: file /builds/worker/workspace/build/src/toolkit/components/telemetry/core/TelemetryScalar.cpp, line 2161
[task 2018-12-30T10:36:51.657Z] 10:36:51     INFO - 
[task 2018-12-30T10:36:51.657Z] 10:36:51     INFO - TEST-UNEXPECTED-TIMEOUT | /html/browsers/windows/auxiliary-browsing-contexts/opener-setter.html | Auxiliary browsing context created via `window.open` and setting `window.opener` to `null` should report `window.opener` `null` - Test timed out
[task 2018-12-30T10:36:51.658Z] 10:36:51     INFO - TEST-UNEXPECTED-TIMEOUT | /html/browsers/windows/auxiliary-browsing-contexts/opener-setter.html | expected OK

John, any updates here? Thank you.
Unfortunately, I don’t have the good luck to reproduce on my Mac machine. Also, it didn't happen every time on the testcluster.
Flags: needinfo?(jdai)
Attached patch test disabled on linux32 debug (obsolete) — Splinter Review
There are 48 total failures in the last 7 days on linux32 debug. 

Recent failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=219869395&repo=autoland&lineNumber=11985

[task 2019-01-03T22:15:32.102Z] 22:15:32     INFO - TEST-START | /html/browsers/windows/auxiliary-browsing-contexts/opener-setter.html
[task 2019-01-03T22:15:32.118Z] 22:15:32     INFO - Closing window 54
[task 2019-01-03T22:15:32.227Z] 22:15:32     INFO - PID 4614 | ++DOCSHELL 0xdbd99c00 == 21 [pid = 4614] [id = {3628d54c-fecc-4be3-bfcc-7ffbd5571dc7}]
[task 2019-01-03T22:15:32.228Z] 22:15:32     INFO - PID 4614 | ++DOMWINDOW == 60 (0xdbde7820) [pid = 4614] [serial = 60] [outer = (nil)]
[task 2019-01-03T22:15:32.229Z] 22:15:32     INFO - PID 4614 | ++DOMWINDOW == 61 (0xdccf1400) [pid = 4614] [serial = 61] [outer = 0xdbde7820]
[task 2019-01-03T22:15:32.297Z] 22:15:32     INFO - PID 4614 | ++DOMWINDOW == 62 (0xdccf4000) [pid = 4614] [serial = 62] [outer = 0xdbde7820]
[task 2019-01-03T22:15:32.507Z] 22:15:32     INFO - PID 4614 | ++DOCSHELL 0xdd2bd000 == 22 [pid = 4614] [id = {780d8579-4b9d-4983-8095-96cdf078a0ae}]
[task 2019-01-03T22:15:32.507Z] 22:15:32     INFO - PID 4614 | ++DOMWINDOW == 63 (0xdbde7c10) [pid = 4614] [serial = 63] [outer = (nil)]

[task 2019-01-03T22:18:32.366Z] 22:18:32     INFO - TEST-UNEXPECTED-TIMEOUT | /html/browsers/windows/auxiliary-browsing-contexts/opener-setter.html | Auxiliary browsing context created via `window.open` and setting `window.opener` to `null` should report `window.opener` `null` - Test timed out
[task 2019-01-03T22:18:32.367Z] 22:18:32     INFO - TEST-UNEXPECTED-TIMEOUT | /html/browsers/windows/auxiliary-browsing-contexts/opener-setter.html | expected OK
[task 2019-01-03T22:18:32.367Z] 22:18:32     INFO - TEST-INFO took 180264ms
Attachment #9034294 - Flags: review?(jmaher)
Comment on attachment 9034294 [details] [diff] [review]
test disabled on linux32 debug

Review of attachment 9034294 [details] [diff] [review]:
-----------------------------------------------------------------

::: testing/web-platform/meta/html/browsers/windows/auxiliary-browsing-contexts/opener-setter.html.ini
@@ +1,2 @@
> +[opener-setter.html]
> +  disabled: if (os == 'linux' && (debug || bits == 32)): https://bugzilla.mozilla.org/show_bug.cgi?id=1483696

we need and here, so more like:
disabled:
  if os == 'linux' and bits == 32: http...
  if os == 'linux' and debug: http...
Attachment #9034294 - Flags: review?(jmaher) → review-
Attached patch disable_patchSplinter Review
Changed the patch with the requested modifications.
Attachment #9034294 - Attachment is obsolete: true
Attachment #9034541 - Flags: review?(jmaher)
Whiteboard: [wptsync upstream error][stockwell needswork:owner] → [wptsync upstream error][stockwell disabled]
Pushed by rmaries@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/9a33ce04d3a3
disabled test on linux32 debug r=jmaher
Keywords: checkin-needed
Wait, doesn't this disable it also on linux64 debug? Do we want to do that?

Shouldn't it be instead "if os == 'linux' and bits == 32 and debug"?
Flags: needinfo?(jmaher)
oh, I had overlooked that, thanks :emilio.

Eliza, can you adjust this to remove the second line where we have the disabled:debug; and add "and debug" to the first line?
Flags: needinfo?(jmaher) → needinfo?(ebalazs)
Sure, here is the patch with the requested changes.
Flags: needinfo?(ebalazs)
Attachment #9034655 - Flags: review?(jmaher)
Pushed by nbeleuzu@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/e2ce50212f49
Disable opener-setter.html on linux32 debug for frequent failures. r=jmaher
Keywords: checkin-needed
Component: DOM → DOM: Core & HTML
You need to log in before you can comment on or make changes to this bug.